﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Builder
{
    public partial class RecordView : UserControl
    {
        public RecordView()
        {
            InitializeComponent();
        }
        public void setTitle (string s)
        {
            textBox.Text = s;
        }

        public Panel getArea ()
        {
            return area; 
        }

        int X0, Y0;
        bool down = false;

        private void RecordView_MouseDown(object sender, MouseEventArgs e)
        {
            down = true;
            X0 = e.X;
            Y0 = e.Y;

        }

        private void RecordView_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                if (e.Button == MouseButtons.Left)
                {
                    this.Left += e.X - X0;
                    this.Top += e.Y - Y0;
                }
                if (e.Button == MouseButtons.Right)
                {
                    this.Width += e.X - X0;
                    this.Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }
        private void RecordView_MouseUp(object sender, MouseEventArgs e)
        {
            down = false;
        }

    }
}
