﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace Builder
{
    public class Record : Common
    {
        public string Name { get; set; }

        public static Color getBasicColor() { return Color.Red; }

        public override string ToString() { return "Record " + Name; }

        private TreeNode node;
        private RecordView view;
        public void setup(TreeNode node0, Control target)
        {
            Name = "data";

            node = node0;
            node.Text = ToString ();

            view = new RecordView();
            target.Controls.Add (view);

            view.setTitle (Name);
            // view.BackColor = getBasicColor();
        }
        public Control getView() { return view; }
        public Control getArea() { return view.getArea (); }
    }
}
